aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/ntpclient
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/ntpclient
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/ntpclient')
-rw-r--r--recipes/ntpclient/files/init42
-rw-r--r--recipes/ntpclient/ntpclient_2003_194.bb32
-rw-r--r--recipes/ntpclient/ntpclient_2007_365.bb41
3 files changed, 115 insertions, 0 deletions
diff --git a/recipes/ntpclient/files/init b/recipes/ntpclient/files/init
new file mode 100644
index 0000000000..7b859026cd
--- /dev/null
+++ b/recipes/ntpclient/files/init
@@ -0,0 +1,42 @@
+#! /bin/sh
+#
+# This is an init script for openembedded
+# Copy it to /etc/init.d/ntpclient and type
+# > update-rc.d ntpclient defaults 60
+#
+ntpclient=/sbin/ntpclient
+test -x "$ntpclient" || exit 0
+# Seconds Between Time Checks
+ntpinterval=600
+# Upstream NTP Server Name
+ntpserver=pool.ntp.org
+
+case "$1" in
+ start)
+ echo -n "Starting NTP Client"
+ start-stop-daemon --start --quiet --background --make-pidfile --pidfile /var/run/ntpclient.pid --exec $ntpclient -- -l -i $ntpinterval -h $ntpserver
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping NTP Client"
+ start-stop-daemon --stop --quiet --pidfile /var/run/ntpclient.pid
+ echo "."
+ ;;
+ reload|force-reload)
+ start-stop-daemon --stop --quiet --signal 1 --exec $ntpclient
+ ;;
+ restart)
+ echo -n "Stopping NTP Client"
+ start-stop-daemon --stop --quiet --pidfile /var/run/ntpclient.pid
+ echo "."
+ sleep 1
+ echo -n "Starting NTP Client"
+ start-stop-daemon --start --quiet --background --make-pidfile --pidfile /var/run/ntpclient.pid --exec $ntpclient -- -l -i $ntpinterval -h $ntpserver
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/ntpclient {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/recipes/ntpclient/ntpclient_2003_194.bb b/recipes/ntpclient/ntpclient_2003_194.bb
new file mode 100644
index 0000000000..84304334e5
--- /dev/null
+++ b/recipes/ntpclient/ntpclient_2003_194.bb
@@ -0,0 +1,32 @@
+DESCRIPTION = "NTP (RFC-1305) client for unix-alike computers"
+HOMEPAGE = "http://doolittle.icarus.com/ntpclient"
+AUTHOR = "Larry Doolittle <larry@doolittle.boa.org>"
+RDEPENDS = "busybox"
+SECTION = "admin"
+LICENSE = "GPLv2"
+PR = "r1"
+# The ntpclient package uses version numbers that include an underscore :(
+PV = "2003_194"
+# ntpclient unpacks into a directory that doesn't include version info :(
+S = "${WORKDIR}/${PN}"
+
+SRC_URI = "http://doolittle.icarus.com/ntpclient/ntpclient_${PV}.tar.gz \
+ file://init"
+
+INITSCRIPT_NAME = "ntpclient"
+INITSCRIPT_PARAMS = "defaults 65"
+inherit update-rc.d
+
+do_compile() {
+ oe_runmake ntpclient
+ oe_runmake adjtimex
+}
+
+do_install () {
+ # Install the binary and tools
+ install -D -m 0755 ${S}/ntpclient ${D}${base_sbindir}/ntpclient
+ install -D -m 0755 ${S}/adjtimex ${D}${base_sbindir}/adjtimex
+ install -D -m 0755 ${S}/rate.awk ${D}${sbindir}/ntpclient-drift-rate.awk
+ install -D -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/ntpclient
+}
+
diff --git a/recipes/ntpclient/ntpclient_2007_365.bb b/recipes/ntpclient/ntpclient_2007_365.bb
new file mode 100644
index 0000000000..b7988ab5bb
--- /dev/null
+++ b/recipes/ntpclient/ntpclient_2007_365.bb
@@ -0,0 +1,41 @@
+DESCRIPTION = "NTP (RFC-1305) client for unix-alike computers"
+HOMEPAGE = "http://doolittle.icarus.com/ntpclient"
+AUTHOR = "Larry Doolittle <larry@doolittle.boa.org>"
+RDEPENDS = "busybox"
+SECTION = "admin"
+LICENSE = "GPLv2"
+PR = "r2"
+# The ntpclient package uses version numbers that include an underscore :(
+PV = "2007_365"
+# ntpclient unpacks into a directory that doesn't include version info :(
+S = "${WORKDIR}/${PN}-2007"
+
+SRC_URI = "http://doolittle.icarus.com/ntpclient/ntpclient_${PV}.tar.gz \
+ file://init"
+
+INITSCRIPT_NAME = "ntpclient"
+INITSCRIPT_PARAMS = "defaults 65"
+inherit update-rc.d
+
+LDFLAGS += " -lrt "
+
+do_compile() {
+ oe_runmake ntpclient
+ oe_runmake adjtimex
+}
+
+do_install () {
+ # Install the binary and tools
+ install -D -m 0755 ${S}/ntpclient ${D}${base_sbindir}/ntpclient
+ install -D -m 0755 ${S}/adjtimex ${D}${base_sbindir}/adjtimex.${PN}
+ install -D -m 0755 ${S}/rate.awk ${D}${sbindir}/ntpclient-drift-rate.awk
+ install -D -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/ntpclient
+}
+
+pkg_postinst_${PN} () {
+ update-alternatives --install ${base_sbindir}/adjtimex adjtimex adjtimex.${PN} 100
+}
+
+pkg_prerm_${PN} () {
+ update-alternatives --remove adjtimex adjtimex.${PN}
+}